Bug 9079 - user permissions on unmount of cd
Summary: user permissions on unmount of cd
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autorun (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-02 21:50 UTC by Brock Organ
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 20:39:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brock Organ 2000-02-02 21:50:50 UTC
Currently, ejecting/unmounting a cd may/may not work for a given KDE
session for cds mounted by another user in a previous KDE session on a
machine, ie:

login as user1 (startx w/kde) ...
mount a cd ...
logout leaving cd mounted...
login as user2 (startx w/kde) ...
try to eject cd ...
Error: only user1 can unmount /dev/cdrom ...

Comment 1 Preston Brown 2000-02-03 14:58:59 UTC
Brock:

What should we do about this?  Cause autorun to automatically unmount things
when it quits?  Do you know how magicdev handles this?

Comment 2 Preston Brown 2000-02-04 20:39:59 UTC
we can't fix this easily at all.

Comment 3 Andrew Bartlett 2001-02-14 13:44:22 UTC
When the first user logs out the device should revert to normal ownersips
(pam_console) and when the second user logs in they should own the device.  Why
can't mount be told to check the permissions of the device (rather than the
user=string), therefore letting user2 unmount the cd?


Note You need to log in before you can comment on or make changes to this bug.